(define-module (zilti packages emacs)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (guix cvs-download)
  #:use-module (guix download)
  #:use-module (guix deprecation)
  #:use-module (guix bzr-download)
  #:use-module (guix gexp)
  #:use-module (guix i18n)
  #:use-module (guix git-download)
  #:use-module (guix hg-download)
  #:use-module (guix build-system gnu)
  #:use-module (guix build-system cmake)
  #:use-module (guix build-system copy)
  #:use-module (guix build-system emacs)
  #:use-module (guix build-system trivial)
  #:use-module (emacs build-system melpa)
  #:use-module (guix utils)
  #:use-module (srfi srfi-1)
  #:use-module (ice-9 match)
  #:use-module (gnu packages emacs-xyz))

(define-public emacs-xref-union
  (package
    (name "emacs-xref-union")
    (version "0.2.0")
    (source
     (origin
       (method url-fetch)
       (uri (string-append "https://elpa.gnu.org/packages/xref-union-"
                           version ".tar"))
       (sha256
        (base32
         "0kcmg9fm9gcpdxfwx7c6zz29krf69j5nh6knv2x3df65sbzwdj0b"))))
    (build-system emacs-build-system)
    (home-page "https://elpa.gnu.org/packages/xref-union.html")
    (synopsis "Combine multiple Xref backends")
    (description
     "This package provides a way to combine multiple Xref source
(e.g. Etags and Eglot) and have the results all at once.

To enable, toggle the @code{xref-union-mode} minor mode.  If you want to
exclude certain modes, take a look at the user option
`xref-union-excluded-backends'.

You can also manually make use of @code{xref-union} by adding an object
of the form @code{(union XREF-BACKEND-1 XREF-BACKEND-2 ...)} to
@code{xref-backend-functions}.")
    (license license:gpl3+)))

(define-public emacs-cider-1.13.0
  (package
    (name "emacs-cider")
    (version "1.13.0")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
               (url "https://github.com/clojure-emacs/cider.git")
               (commit (string-append "v" version))))
        (sha256
         (base32
          "177dkd2q5fnn1n36d2vvgp6n1hh6rgcglhz63r58nkvb0y3d4kn9"))))
    (build-system melpa-build-system)
    (propagated-inputs
      (list emacs-clojure-mode
            emacs-parseedn
            emacs-queue
            emacs-spinner
            emacs-sesman))
    (arguments
      '(#:files
        ("lisp/*.el"
         "bin/*.sh"
         "*.el"
         "clojure.sh"
         "lein.sh"
         (:exclude ".dir-locals.el"))))
    (home-page
      "https://www.github.com/clojure-emacs/cider")
    (synopsis
      "Clojure Interactive Development Environment that Rocks")
    (description
      "Documentation at https://melpa.org/#/cider")
    (license #f)))
