(define-module (zilti packages fonts)
  #:use-module (ice-9 regex)
  #:use-module (guix utils)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix gexp)
  #:use-module (guix git-download)
  #:use-module (guix build-system font)
  #:use-module (guix build-system gnu)
  #:use-module (guix build-system meson)
  #:use-module (guix build-system trivial)
  #:use-module (gnu packages c)
  #:use-module (gnu packages base)
  #:use-module (gnu packages bash)
  #:use-module (gnu packages compression)
  #:use-module (gnu packages fontutils)
  #:use-module (gnu packages gd)
  #:use-module (gnu packages gettext)
  #:use-module (gnu packages glib)
  #:use-module (gnu packages gtk)
  #:use-module (gnu packages perl)
  #:use-module (gnu packages pkg-config)
  #:use-module (gnu packages python)
  #:use-module (gnu packages python-xyz)
  #:use-module (gnu packages sdl)
  #:use-module (gnu packages xorg))

(define-public font-monaspace
  (package
   (name "font-monaspace")
   (version "1.000")
   (source
    (origin
     (method url-fetch/zipbomb)
     (uri (string-append "https://github.com/githubnext/monaspace/releases/"
                         "download/v" version "/monaspace-v" version ".zip"))
     (sha256
      (base32
       "1xn80c1jglgl1dklk967lkv9gmx2ikhhh36y3y2izjmfs1pkf21y"))))
   (build-system font-build-system)
   (home-page "https://github.com/githubnext/monaspace")
   (synopsis "The Monaspace type system is a monospaced type superfamily with some modern tricks up
its sleeve.")
   (description
    "The Monaspace type system is a monospaced type superfamily with some modern tricks up its
sleeve. It consists of five variable axis typefaces. Each one has a distinct voice, but they are all
metrics-compatible with one another, allowing you to mix and match them for a more expressive
typographical palette.")
   (license license:silofl1.1)))

(define-public font-nerdfont-monaspice
  (package
   (name "font-nerdfont-monaspice")
   (version "3.1.1")
   (source
    (origin
     (method url-fetch/zipbomb)
     (uri (string-append "https://github.com/ryanoasis/nerd-fonts/releases/"
                         "download/v" version "/Monaspace.zip"))
     (sha256
      (base32
       "1hmnm7hksw5ibf96g9ma40d18rszy0ia6znz27cm336ril6ngrdz"))))
   (build-system font-build-system)
   (home-page "https://github.com/ryanoasis/nerd-fonts")
   (synopsis "The Monaspace type system is a monospaced type superfamily with some modern tricks up
its sleeve.")
   (description
    "Nerd Fonts is a project that patches developer targeted fonts with a high number of
glyphs (icons). Specifically to add a high number of extra glyphs from popular 'iconic fonts' such
as Font Awesome, Devicons, Octicons, and others.")
   (license license:expat)))

(define-public font-nerdfont-victor-mono
  (package
   (name "font-nerdfont-victor-mono")
   (version "3.1.1")
   (source
    (origin
     (method url-fetch/zipbomb)
     (uri (string-append "https://github.com/ryanoasis/nerd-fonts/releases/"
                         "download/v" version "/VictorMono.zip"))
     (sha256
      (base32
       "1ba50lhji0safw48v6r1xcxlgg92jgq4dklx9dk0garsfkhq4cib"))))
   (build-system font-build-system)
   (home-page "https://github.com/ryanoasis/nerd-fonts")
   (synopsis "Clean, crisp and narrow, with a large x-height and clear punctuation.")
   (description
    "Nerd Fonts is a project that patches developer targeted fonts with a high number of
glyphs (icons). Specifically to add a high number of extra glyphs from popular 'iconic fonts' such
as Font Awesome, Devicons, Octicons, and others.")
   (license license:expat)))

(define-public font-nerdfont-iosevka-term-slab
  (package
   (name "font-nerdfont-iosevka-term-slab")
   (version "3.1.1")
   (source
    (origin
     (method url-fetch/zipbomb)
     (uri (string-append "https://github.com/ryanoasis/nerd-fonts/releases/"
                         "download/v" version "/IosevkaTermSlab.zip"))
     (sha256
      (base32
       "0nz7i28sfrab8zlj9m5kw2dhfwaxrdmjxppymcr3ggiq7i5msr9j"))))
   (build-system font-build-system)
   (home-page "https://github.com/ryanoasis/nerd-fonts")
   (synopsis "Versatile typeface for code, from code.")
   (description
    "Nerd Fonts is a project that patches developer targeted fonts with a high number of
glyphs (icons). Specifically to add a high number of extra glyphs from popular 'iconic fonts' such
as Font Awesome, Devicons, Octicons, and others.")
   (license license:expat)))
