(define-module (zilti packages nwg-displays)
  #:use-module (guix)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix gexp)
  #:use-module (guix build-system pyproject)
  #:use-module (guix git-download)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (gnu packages)
  #:use-module (gnu packages gtk)
  #:use-module (gnu packages glib)
  #:use-module (gnu packages gstreamer)
  #:use-module (gnu packages python)
  #:use-module (gnu packages python-build)
  #:use-module (gnu packages python-xyz)
  #:use-module (gnu packages wm))

(define-public nwg-displays
  (package
    (name "nwg-displays")
    (version "0.3.11")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/nwg-piotr/nwg-displays.git")
              (commit (string-append "v" version))))
        (sha256
         (base32
          "0zvpv2183qjqqpf0y3zhzqb5cz5dd48mi4h8rwiwf5bsln0ja9h5"))
        (modules '((guix build utils)))))
    (native-inputs
     (list gobject-introspection
           gtk+
           python-wheel))
    (propagated-inputs
     (list atk
           gdk-pixbuf
           gtk-layer-shell
           gobject-introspection
           pango
           python-i3ipc
           python-gst
           python-pygobject
           python-wheel
           wlr-randr))
    (build-system pyproject-build-system)
    (arguments
     (list #:tests? #f
           #:build-backend "setuptools.build_meta"
           #:phases
           #~(modify-phases %standard-phases
               (delete 'sanity-check)
               (replace 'wrap
                 (lambda* (#:key outputs #:allow-other-keys)
                   (invoke "find" ".")
                   (wrap-program
                       (string-append (assoc-ref outputs "out") "/bin/nwg-displays")
                     `("GUIX_PYTHONPATH" ":" prefix (,(getenv "GUIX_PYTHONPATH")))
                     `("GI_TYPELIB_PATH" ":" prefix (, (getenv "GI_TYPELIB_PATH")))))))))
    (home-page "https://github.com/nwg-piotr/nwg-displays")
    (synopsis "Output management utility for sway and Hyprland.")
    (description "Output management utility for sway Wayland compositor, inspired by wdisplays and wlay.")
    (license license:expat)))

;; This allows you to run guix shell -f example.scm.
;; Remove this line if you just want to define a package.
;;nwg-displays
