(define-module (zilti packages podman-compose)
  #:use-module (guix)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix gexp)
  #:use-module (guix build-system pyproject)
  #:use-module (guix git-download)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (gnu packages)
  #:use-module (gnu packages gtk)
  #:use-module (gnu packages glib)
  #:use-module (gnu packages gstreamer)
  #:use-module (gnu packages python)
  #:use-module (gnu packages python-build)
  #:use-module (gnu packages python-xyz)
  #:use-module (gnu packages wm))

(define-public podman-compose
  (package
   (name "podman-compose")
   (version "1.0.6")
   (source
    (origin
     (method git-fetch)
     (uri (git-reference
           (url "https://github.com/containers/podman-compose.git")
           (commit (string-append "v" version))))
     (sha256
      (base32
       "11dwpifkm20vyi6r3fgmiiqc01mpm4r8l0p5gfh0bawi2gklrhsf"))))
   (propagated-inputs
    (list python-pyyaml
          python-dotenv))
   (build-system pyproject-build-system)
   (home-page "https://github.com/containers/podman-compose")
   (synopsis "a script to run docker-compose.yml using podman")
   (description "An implementation of Compose Spec with Podman backend.")
   (license license:gpl2)))
