(define-module
  (zilti packages zig)
  #:use-module
  (guix packages)
  #:use-module
  (guix utils)
  #:use-module
  (guix download)
  #:use-module
  (guix gexp)
  #:use-module
  (guix git-download)
  #:use-module
  (guix build-system zig)
  #:use-module
  ((guix licenses) #:prefix license:)
  #:use-module
  (gnu packages)
  #:use-module
  (gnu packages compression)
  #:use-module
  (gnu packages gcc)
  #:use-module
  (gnu packages llvm)
  #:use-module
  (gnu packages llvm-meta)
  #:use-module
  (gnu packages ninja)
  #:use-module
  (gnu packages xml)
  #:use-module
  (gnu packages zig)
  )

(define-public zig-0.12
  (package
    (inherit zig-0.10)
    (name "zig")
    (version "0.12.0")
    (source
     (origin
       (method git-fetch)
       (uri (git-reference
             (url "https://github.com/ziglang/zig.git")
             (commit version)))
       (file-name (git-file-name name version))
       (patches (search-patches
                 "zilti/packages/patches/zig-0.12-use-LIBRARY_PATH.patch"))
       (sha256
        (base32 "0jrj8rqp74qpb95zjmjyrai81079lcwaq1crdwd7laaskd8n5mj4"))))
    (arguments
     (substitute-keyword-arguments (package-arguments zig-0.10)
       ((#:parallel-build? _ #f) #t)
       ((#:configure-flags flags ''())
        #~(cons* 
           "-DCMAKE_SKIP_BUILD_RPATH=ON"
           #$flags))
       ((#:phases phases '%standard-phases)
        #~(modify-phases #$phases
            (delete 'patch-more-shebangs)))))
    (inputs
     (modify-inputs (package-inputs zig-0.10)
       (replace "clang" clang-17)
       (replace "lld" lld-17)
       (append libxml2)))
    (native-inputs
     (modify-inputs (package-native-inputs zig-0.10)
       (append gcc-13)
       (replace "llvm" llvm-17)))
    (properties `((max-silent-time . 9600)
                  ,@(clang-compiler-cpu-architectures "17")))))
